# Created by pyp2rpm-3.3.8
%global pypi_name grpcio-status
%global pypi_version 1.48.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 2
Summary:        Status proto mapping for gRPC
Group:          Development/Python
License:        Apache License 2.0
URL:            https://grpc.io
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Reference package for GRPC Python status proto mapping.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Reference package for GRPC Python status proto mapping.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files grpc_status

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Mon Dec 18 2023 papoteur <papoteur> 1.48.0-2.mga10
+ Revision: 2019136
- Mass Rebuild - Python 3.12

* Mon Aug 08 2022 wally <wally> 1.48.0-1.mga9
+ Revision: 1876180
- imported package python-grpcio-status

